# Create Webhook URL

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/webhook/create`

### **Request Body**

**Refer to :** [**common**](https://docs.pagsmile.com/remittance-api/common)

**Biz\_data :**

| Name                                            | Type        | Description                                                                                                |
| ----------------------------------------------- | ----------- | ---------------------------------------------------------------------------------------------------------- |
| webhook\_type<mark style="color:red;">\*</mark> | integer     | <p>Webhook type,</p><p>Refer to :<a href="../../../data/dictionary-item/webhook-type">Webhook Type</a></p> |
| webhook\_url<mark style="color:red;">\*</mark>  | string(128) | Webhook URL                                                                                                |
| webhook\_desc                                   | string(128) | Webhook Description                                                                                        |

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data": {
        "webhook_id": 100011
    },
    "random_key":"sdddddd2ww12dd",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

| Name        | Type | Description |
| ----------- | ---- | ----------- |
| webhook\_id | long | Webhook ID  |

### Example <a href="#example" id="example"></a>

```
curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/issuing/webhook/create' \
--header 'Content-Type: application/json' \
--data-raw '{
    "app_id": "2017051914172236111",
    "partner_id":"000000000000001",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC6",
    "sign_type": "RSA",
    "biz_data": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8ljJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8l"
}'
```

```
```

Note: **201\*\*\*\*\*\*\*\*\*\*\*\*11** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/remittance-api/business/webhook/manage-url/create-webhook-url.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
